## ros-melodic-gateway-msgs 0.9.0

=== CMakeLists.txt ===
##############################################################################
# CMake
##############################################################################

cmake_minimum_required(VERSION 2.8.3)
project(gateway_msgs)

##############################################################################
# Dependencies
##############################################################################

find_package(catkin REQUIRED COMPONENTS 
    message_generation
    std_msgs 
)

##############################################################################
# Messgaes
##############################################################################

add_message_files(
  DIRECTORY msg
  FILES
  ConnectionStatistics.msg
  ConnectionType.msg
  GatewayInfo.msg
  RemoteGateway.msg
  RemoteRule.msg
  RemoteRuleWithStatus.msg
  ErrorCodes.msg
  Rule.msg
)

add_service_files(
  DIRECTORY srv
  FILES
  Advertise.srv
  AdvertiseAll.srv
  ConnectHub.srv
  Remote.srv
  RemoteAll.srv
  RemoteGatewayInfo.srv
  SetWatcherPeriod.srv
)

generate_messages(DEPENDENCIES
    std_msgs 
)

##############################################################################
# Package
##############################################################################

catkin_package(CATKIN_DEPENDS message_runtime std_msgs)

=== debian/changelog ===
ros-melodic-gateway-msgs (0.9.0-0stretch) stretch; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 07 Apr 2019 03:34:48 -0000

ros-melodic-gateway-msgs (0.7.12-0stretch) stretch; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 09 Jul 2015 04:00:00 -0000

ros-melodic-gateway-msgs (0.7.11-0stretch) stretch; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 27 May 2015 04:00:00 -0000

ros-melodic-gateway-msgs (0.7.10-0stretch) stretch; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 06 Apr 2015 04:00:00 -0000

ros-melodic-gateway-msgs (0.7.9-0stretch) stretch; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 09 Feb 2015 05:00:00 -0000

ros-melodic-gateway-msgs (0.7.8-0stretch) stretch; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 21 Nov 2014 05:00:00 -0000

ros-melodic-gateway-msgs (0.7.6-0stretch) stretch; urgency=high

  * Export architecture_independent flag in package.xml
  * gateway_msgs: error: unconfigured build_depend on 'message_generation
  * Contributors: Jihoon Lee, Scott K Logan

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 25 Aug 2014 04:00:00 -0000

ros-melodic-gateway-msgs (0.7.0-0stretch) stretch; urgency=high

  * changes supporting connectivity and disconnection handling.

 -- Daniel Stonier <d.stonier@gmail.com>  Sat, 29 Mar 2014 04:00:00 -0000

ros-melodic-gateway-msgs (0.6.0-0stretch) stretch; urgency=high

  * service for configuring the watcher period.

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 07 Aug 2013 22:58:00 -0000

ros-melodic-gateway-msgs (0.5.3-0stretch) stretch; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 07 Aug 2013 23:04:00 -0000

ros-melodic-gateway-msgs (0.5.2-0stretch) stretch; urgency=high

  * service for configuring the watcher period.

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 17 Jul 2013 04:00:00 -0000

ros-melodic-gateway-msgs (0.5.1-0stretch) stretch; urgency=high

  * 0.5.0
  * Merge pull request #18 <https://github.com/robotics-in-concert/rocon_msgs/issues/18> from robotics-in-concert/hydro-devel
    back port from hydro to groovy
  * proper dependency exporting for rocon msgs.

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 10 Jun 2013 17:28:55 -0400

ros-melodic-gateway-msgs (0.5.0-0stretch) stretch; urgency=high

  * error codes to match the new hub client structure.
  * updated error code for remote gateway and hub handling.
  * gateway info updated for multi-hub.
  * consistency with rocon_app_platform, Result to more recognisable ErrorCodes
  * 0.4.0
  * GatewayInfo.srv -> GatewayInfo.msg
  * Revert "update cmake for gateway_info srv to msg"
    This reverts commit 802d54a636da56ab05916d32811e447064e2c882.
  * Revert "moving gateway info to a latched publisher."
    This reverts commit e95a1157c5e422dccd9061332c4f8784b6e447a3.
  * update cmake for gateway_info srv to msg
  * bugfix cmake generation for gateway info message movement.
  * moving gateway info to a latched publisher.

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 27 May 2013 04:00:00 -0000

ros-melodic-gateway-msgs (0.3.0-0stretch) stretch; urgency=high

  * update jihoon email

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 05 Feb 2013 05:00:00 -0000

ros-melodic-gateway-msgs (0.2.1-0stretch) stretch; urgency=high

  * PlatformInfo msg GetPlatformInfo srv moved from concert to app manager. RemoteGatewayInfo srv typo
  * catkinized.

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 31 Jan 2013 05:00:00 -0000

ros-melodic-gateway-msgs (0.2.0-0stretch) stretch; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 23 Dec 2012 19:15:44 -0000

ros-melodic-gateway-msgs (0.1.4-0stretch) stretch; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 23 Dec 2012 19:15:23 -0000

ros-melodic-gateway-msgs (0.1.3-0stretch) stretch; urgency=high

  * ip info.
  * gitignore and eclipse files.
  * eclipse project and ignore settings.
  * updated srvs and msgs

 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 07 Dec 2012 05:00:00 -0000

ros-melodic-gateway-msgs (0.1.2-0stretch) stretch; urgency=high

  * gateway_comms -> gateway_msgs.

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 22 Nov 2012 05:00:00 -0000

ros-melodic-gateway-msgs (0.1.1-0stretch) stretch; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 21 Nov 2012 05:00:00 -0000

ros-melodic-gateway-msgs (0.1.0-0stretch) stretch; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 29 Mar 2012 04:00:00 -0000

=== debian/control ===
Source: ros-melodic-gateway-msgs
Section: misc
Priority: extra
Maintainer: Daniel Stonier <d.stonier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-message-generation, ros-melodic-std-msgs
Homepage: http://www.ros.org/wiki/gateway_msgs
Standards-Version: 3.9.2

Package: ros-melodic-gateway-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-message-runtime, ros-melodic-std-msgs
Description: Messages used by the gateway model.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-gateway-msgs//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
